<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.lang.MString" import="kr.co.kihyun.moumi.Moumi"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.lang.Encoder"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
	String usID = HttpSSOLogin.getLoginID(request);
	String groupID = clearXSS(Encoder.toJava(MString.checkNull(request.getParameter("groupID"))),"");
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>구성원 설정</TITLE>

<style>
a:link {
	font-style: none;
	line-height: normal;
	color: #004080;
	text-decoration: none;
}

a:visited {
	font-style: none;
	line-height: normal;
	color: #3366CC;
	text-decoration: none;
}

a:active {
	font-style: none;
	line-height: normal;
	color: #535353;
	text-decoration: none;
}

a:hover {
	font-style: none;
	line-height: normal;
	color: #FF6600;;
	text-decoration: none;
}

img {
	border: none;
}
</style>

<link rel="stylesheet" href="/totsys/common/css/kecttep.css" type="text/css">
<script language="javascript">
				
		function groupAdd(){
			/*
			if(document.group.groupName.value==''){
				alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.groupName")%>');
				return;
			}
			document.group.deptIDs.value=idList;
			document.group.deptNames.value=nameList;
			document.group.deptTypes.value=typeList;
			document.group.userID.value='<%=usID%>';
			document.group.submit();
			*/
			window.close();
		}

		function groupSel(){
			/*
			if(document.group.groupName.value==''){
				alert('<%=Moumi.getMessageBundle().getString("moumi.message.popup.groupName")%>');
				return;
			}
			document.group.deptIDs.value=idList;
			document.group.deptNames.value=nameList;
			document.group.deptTypes.value=typeList;
			document.group.userID.value='<%=usID%>';
			document.group.submit();
			*/

			document.leftFrame.groupSelect();

			/*alert(opener.document.list.openeridList.value);
			alert(opener.document.list.openernameList.value);
			alert(opener.document.list.openertypeList.value);

			alert("iframe에서 넘겨온 ids : "+document.group.ids.value);
			alert("iframe에서 넘겨온 naems : "+document.group.names.value);
			alert("iframe에서 넘겨온 types : "+document.group.types.value);*/
			
			opener.document.list.openeridList.value = document.group.ids.value;
			opener.document.list.openernameList.value = document.group.names.value;
			opener.document.list.openertypeList.value = document.group.types.value;

			/*alert(opener.document.list.idList.value.length);
			alert(opener.document.list.nameList.value.length);
			alert(opener.document.list.typeList.value.length);*/


			opener.openerdeptConfirm();
                        groupAdd();
/*
			if(opener.document.list.idList.value.length==0){
				opener.document.list.idList.value = document.group.ids.value;
			}else{
				opener.document.list.idList.value = opener.document.list.idList.value+","+document.group.ids.value;
			}
			
			if(opener.document.list.nameList.value.length==0){
				opener.document.list.nameList.value = document.group.names.value;
			}else{
				opener.document.list.nameList.value = opener.document.list.nameList.value+","+document.group.names.value;
			}
			
			if(opener.document.list.typeList.value.length==0){
				opener.document.list.typeList.value = document.group.types.value;
			}else{
				opener.document.list.typeList.value = opener.document.list.typeList.value+","+document.group.types.value;
			}
*/
		}
	</script>
</HEAD>

<BODY>

<table border="0" cellspacing="0" cellpadding="0">
	<!-- 제목 -->
	<tr>
		<td width="250" colspan="2">
		<table border="0" width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td style="width: 14"><img src="./images/ico_1.gif"></td>
				<td class="kecttep_title"
					style="padding-left: 5; font-family: 돋움; font-size: 12px;"
					align="left" width="355"><%=Moumi.getMessageBundle().getString("moumi.message.tot_doc.memberSet")%></td>
			</tr>
			<tr>
				<td height="3"></td>
			</tr>
		</table>
		</td>
	</tr>

	<!-- 부서 선택 -->
	<tr>
		<!--<td width="250" colspan="2">-->
		<td width="250"><!-- 부서 선택 코드 -->
		<table border="2px" bordercolor="#dedcec" class="kecttep_list_table2" width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td width="250" height="329"><iframe name="leftFrame"
					src="./iframe/modify_list.jsp?groupID=<%=groupID%>" width="430"
					height="370" frameborder="0"></iframe></td>
			</tr>
		</table>
		</td>
	</tr>
	<tr style="padding-top: 15px" valign="top">
		<!--<td>
				<form name="group" method="post" action="/servlet/kr.co.kihyun.beans.user.HttpUserGroup">
					<input type="hidden" name="deptIDs">
					<input type="hidden" name="deptNames">
					<input type="hidden" name="deptTypes">
					<input type="hidden" name="userID">
					<input name="groupName" type="text" size="24" maxlength="20" class="inputtxt">
				</form>
			</td>-->
		<td>
		<form name="group"><input type="hidden" name="ids"> <input
			type="hidden" name="names"> <input type="hidden" name="types">
		</form>
		</td>
	</tr>
	<tr>
		<td align="center" height="40px"><a href="#" onclick="groupSel();"><img
			src="./images/bt_enter.gif" align="absmiddle"></a><!--&nbsp;<a href="#"
			onclick="groupAdd()"><img src="./images/b-add.gif"
			align="absmiddle"></a>--></td>



	</tr>
</table>

</BODY>
</HTML>
